coin_XML(3)

NAME
coin_XML - XML related functions and objects

 - Coin now has its own XML parser that also can be used from client code.

SYNOPSIS

  Typedefs
typedef struct cc_xml_doc cc_xml_doc
opaque container object type for XML documents

  Functions
cc_xml_doc * cc_xml_doc_new (void)
void cc_xml_doc_delete_x (cc_xml_doc *doc)
void cc_xml_doc_set_filter_cb_x (cc_xml_doc *doc, cc_xml_filter_cb *cb, void *userdata)
void cc_xml_doc_get_filter_cb (const cc_xml_doc *doc, cc_xml_filter_cb *&cb, void *&userdata)

Detailed Description

Coin now has its own XML parser that also can be used from client code.

Typedef Documentation

  typedef struct cc_xml_doc cc_xml_doc

opaque container object type for XML documents This type is an opaque container object type for an XML document structure, and also the interface for configuring the parsing and writing code.

Function Documentation

  cc_xml_doc * cc_xml_doc_new (void ) [related]
Creates a new cc_xml_doc object that is totally blank.

  void cc_xml_doc_delete_x (cc_xml_doc * doc) [related]
Frees up a cc_xml_doc object and all its resources.

  void cc_xml_doc_set_filter_cb_x (cc_xml_doc * doc, cc_xml_filter_cb * cb, void * userdata) [related]
Sets the filter callback for document parsing. This makes it possible to use the parser as a streaming parser, by making the parser discard all elements it has read in.

Elements can only be discarded as they are popped - on push they will be kept regardless of what the filter callback returns.

  void cc_xml_doc_get_filter_cb (const cc_xml_doc * doc, cc_xml_filter_cb *& cb, void *& userdata) [related]
Returns the set filter callback in the cb arg and userdata arg.

Author

Generated automatically by Doxygen for Coin from the source code.